lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'behaveable/version'

Gem::Specification.new do |spec|
  spec.name          = 'behaveable'
  spec.version       = Behaveable::VERSION
  spec.authors       = ['Makoto Shimoda']
  spec.email         = ['kotoshimoda@gmail.com']

  spec.summary       = 'Get behaveable object for attachments'
  # rubocop:disable LineLength
  spec.description   = 'Get behaveable object for attachments on Ruby and Rails applications'
  # rubocop:enable LineLength
  spec.homepage      = 'https://github.com/wamland-team/behaveable'
  spec.license       = 'MIT'

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.required_ruby_version = '>= 2.2.2'

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake', '~> 11.3'
  spec.add_development_dependency 'rspec', '~> 3.5'
  spec.add_development_dependency 'rubocop', '~> 0.47.1'
end
